# Uses of Enum
com.databricks.jdbc.common.LogLevel

Packages that use LogLevel
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.internal
com.databricks.jdbc.common
com.databricks.jdbc.common.util

## Uses of LogLevel in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl that return LogLevel
Modifier and Type
Method
Description
`LogLevel`
DatabricksConnectionContext.`getLogLevel()`

## Uses of LogLevel in com.databricks.jdbc.api.internal

Methods in com.databricks.jdbc.api.internal that return LogLevel
Modifier and Type
Method
Description
`LogLevel`
IDatabricksConnectionContext.`getLogLevel()`

## Uses of LogLevel in com.databricks.jdbc.common

Subclasses with type arguments of type LogLevel in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`LogLevel`
Fields in com.databricks.jdbc.common declared as LogLevel
Modifier and Type
Field
Description
`static final LogLevel`
DatabricksJdbcConstants.`DEFAULT_LOG_LEVEL`
Methods in com.databricks.jdbc.common that return LogLevel
Modifier and Type
Method
Description
`static LogLevel`
LogLevel.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LogLevel[]`
LogLevel.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of LogLevel in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type LogLevel
Modifier and Type
Method
Description
`static void`
LoggingUtil.`setupLogger(String logDir, int logFileSizeMB, int logFileCount, LogLevel level)`